import { RGB, HSL, KEYWORD } from 'color-convert/conversions';
import { ColorResult } from '../../shared/types/result';
import { Error } from '../../shared/types/error';
export declare type ParseResult<T> = Error | ColorResult<T>;
export declare class ColorParser {
    static validateAndParseHex(hexString: string): ParseResult<string>;
    private static parseFirstThreeIntegersFromString;
    static validateAndParseRgb(rgbString: string): ParseResult<RGB>;
    static validateAndParseHsl(hslString: string): ParseResult<HSL>;
    static validateAndParseKeyword(keyword: string): ParseResult<KEYWORD>;
}
