import { ColorToFilterResult } from '../../shared/types/result';
import { ParseResult } from '../colorParser/colorParser';
import { RGB } from 'color-convert/conversions';
declare type ConvertToRgb<T> = (color: T) => RGB;
declare type ConversionProps<T> = {
    colorString: string;
    validateAndParse?: (colorString: string) => ParseResult<T>;
    convertToRgb?: ConvertToRgb<T>;
    conversionErrorMessage?: string;
    addSheen: boolean;
};
export declare class RgbToFilter {
    private static generateConversionError;
    private static generateValidateAndParseError;
    private static execute;
    private static convertToRGB;
    static convert<T>(conversionProps: ConversionProps<T>): ColorToFilterResult;
}
export {};
