import { ColorToFilterOptions, FilterToColorOptions } from './shared/types/options';
import { ColorToFilterResult, FilterToColorResult } from './shared/types/result';
import { HEX, HSL, KEYWORD, RGB } from 'color-convert/conversions';
export default class CssFilterConverter {
    static rgbToFilter(rgbString: string, options?: ColorToFilterOptions): ColorToFilterResult;
    static hexToFilter(hexString: string, options?: ColorToFilterOptions): ColorToFilterResult;
    static hslToFilter(hslString: string, options?: ColorToFilterOptions): ColorToFilterResult;
    static keywordToFilter(keyword: KEYWORD, options?: ColorToFilterOptions): ColorToFilterResult;
    static filterToHex(filterString: string): Promise<FilterToColorResult<HEX>>;
    static filterToRgb(filterString: string, options?: FilterToColorOptions): Promise<FilterToColorResult<RGB | string>>;
    static filterToHsl(filterString: string, options?: FilterToColorOptions): Promise<FilterToColorResult<HSL | string>>;
}
